
Ruby - Feature #11057

Gemify JSON

04/11/2015 03:16 AM - hsbt (Hiroshi SHIBATA)

Status: Rejected   

Priority: Normal   

Assignee:    

Target version:    

Description

I gemified JSON library.

https://github.com/ruby/ruby/pull/867

https://travis-ci.org/ruby/ruby/builds/58038547

This issue is related with #5481

Related issues:

Related to Ruby - Feature #5481: Gemifying Ruby standard library Closed

Associated revisions

Revision cfaddc2a3248dd0ce4a370fdbab44ca88adf5722 - 04/11/2015 11:14 AM - hsbt (Hiroshi SHIBATA)

ext/json/, test/json/, defs/default_gems: Gemify JSON library.

[fix GH-867][Feature #11057]

test/ruby/test_extlibs.rb: removed json gem from existence extentions.

gems/bundled_gems: added json gem into bundled gem.

lib/rdoc/rubygems_hook.rb: ignored no json environment.

lib/rubygems/test_case.rb, test/rubygems/*: ditto.

lib/rdoc/test_case.rb, test/rdoc/*: ditto.

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@50231 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision cfaddc2a - 04/11/2015 11:14 AM - hsbt (Hiroshi SHIBATA)

ext/json/, test/json/, defs/default_gems: Gemify JSON library.

[fix GH-867][Feature #11057]

test/ruby/test_extlibs.rb: removed json gem from existence extentions.

gems/bundled_gems: added json gem into bundled gem.

lib/rdoc/rubygems_hook.rb: ignored no json environment.

lib/rubygems/test_case.rb, test/rubygems/*: ditto.

lib/rdoc/test_case.rb, test/rdoc/*: ditto.

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@50231 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 04/11/2015 03:17 AM - hsbt (Hiroshi SHIBATA)

- Related to Feature #5481: Gemifying Ruby standard library added

#2 - 04/11/2015 11:15 AM - hsbt (Hiroshi SHIBATA)

- Status changed from Open to Closed

- % Done changed from 0 to 100

Applied in changeset r50231.

ext/json/, test/json/, defs/default_gems: Gemify JSON library.

[fix GH-867][Feature #11057]

test/ruby/test_extlibs.rb: removed json gem from existence extentions.

gems/bundled_gems: added json gem into bundled gem.

lib/rdoc/rubygems_hook.rb: ignored no json environment.

lib/rubygems/test_case.rb, test/rubygems/*: ditto.

lib/rdoc/test_case.rb, test/rdoc/*: ditto.

06/15/2025 1/2

https://github.com/ruby/ruby/pull/867
https://travis-ci.org/ruby/ruby/builds/58038547
https://bugs.ruby-lang.org/issues/5481
https://bugs.ruby-lang.org/issues/11057


#3 - 04/13/2015 01:25 PM - Hanmac (Hans Mackowiak)

is that ticket really closed, when the changes got reverted a revision later?

it was not a direct version later but it was done at r50267 so i think the ticket should be open again

#4 - 05/21/2015 07:16 AM - hsbt (Hiroshi SHIBATA)

- Status changed from Closed to Open

I have been reverted this issue. because we have issue for native extension build.

#5 - 08/17/2016 01:25 AM - hsbt (Hiroshi SHIBATA)

- Status changed from Open to Rejected

rdoc depends on json. And gem authors rely on json of stdlib.

ref. http://www.mikeperham.com/2016/02/09/kill-your-dependencies/

I gave up to extract json from stdlib.

#6 - 08/26/2016 09:59 AM - vo.x (Vit Ondruch)

Why it could not be default gem?

#7 - 08/26/2016 04:16 PM - nobu (Nobuyoshi Nakada)

It is a default gem now.

I think you meant "bundled gem".

Bundled gems are not available until the installation finished.
